| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DAlbumDrag Class Reference

Provides a drag object for an album. More...

Inheritance diagram for Digikam::DAlbumDrag:

## Public Member Functions
| DAlbumDrag (const QUrl &databaseUrl, int albumid, const QUrl &fileUrl=QUrl())

## Static Public Member Functions
static bool | canDecode (const QMimeData *e)
static bool | decode (const QMimeData *e, QList< QUrl > &urls, int &albumID)
static QStringList | mimeTypes ()

## Detailed Description

When an album is moved through drag'n'drop an object of this class is created.